org.eclipse.viatra.integration.mwe2

## Interface IMessageBroker

- All Known Implementing Classes:
    MessageBroker

      public interface IMessageBroker

  The IEventBroker interface defines methods for receiving and publishing messages from and to any given topic. It also provides methods for managing topics and topic subscriptions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IMessage<?>>` | `getMessages(java.lang.String topicName, ITransformationStep step)` Returns messages sent to the transformation step subscription.
    `void` | `removeMessage(java.lang.String topicName, ITransformationStep step, IMessage<?> message)` Removes the message from the queue of the specified subscription.
    `void` | `sendMessage(java.lang.String topicName, IMessage<?> message)` Send the specified message to the topic whose name is matching the @param topicName parameter.
    `void` | `subscribeTo(java.lang.String topicName, ITransformationStep step)` Subscribes the given transformation step to the Topic whose name matches the @param topicName parameter.

- - ### Method Detail

    - #### subscribeTo

          void subscribeTo(java.lang.String topicName,
                           ITransformationStep step)

      Subscribes the given transformation step to the Topic whose name matches the @param topicName parameter.

    - #### sendMessage

          void sendMessage(java.lang.String topicName,
                           IMessage<?> message)

      Send the specified message to the topic whose name is matching the @param topicName parameter.

    - #### getMessages

          java.util.List<IMessage<?>> getMessages(java.lang.String topicName,
                                                  ITransformationStep step)

      Returns messages sent to the transformation step subscription. The @param topicName and @param step parameters define a subscription.

    - #### removeMessage

          void removeMessage(java.lang.String topicName,
                             ITransformationStep step,
                             IMessage<?> message)

      Removes the message from the queue of the specified subscription.